Bug 163370 - kernel-xen0 will not boot on MSI RS480M2-IL (Radeon Xpress200) with 3ware 7006-2
kernel-xen0 will not boot on MSI RS480M2-IL (Radeon Xpress200) with 3ware 7006-2
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 11:42 EDT by Steven Pritchard
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-07-15 11:42:01 EDT
Description of problem:
The system is an Athlon64 3000+ on a MSI RS480M2-IL motherboard (ATI Radeon
Xpress200 chipset) with a 3ware 7006-2 controller.  When booting kernel-xen0, I
get a hang with the following message repeating for each SCSI ID:

3w-xxxx: scsi0: WARNING: Unit #3: Command (0x12) timed out, resetting card.
scsi: Device offlined - not ready after error recovery: host 0 channel 0 id 0 lun 0

The system boots fine with a i686 kernel (UP) or an x86_64 kernel.  I have
another system running the xen0 kernel with a 3ware card, so the problem appears
to be another one related to the motherboard chipset.  (Bug #152170 has more.)

Version-Release number of selected component (if applicable):
kernel-xen0-2.6.12-1.1390

How reproducible:
Always
Comment 1 Steven Pritchard 2005-07-15 11:43:48 EDT
I forgot to mention that I tried booting with "noapic", but the behavior didn't
change.
Comment 2 Dave Jones 2005-07-15 17:53:07 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 Steven Pritchard 2005-07-15 20:36:06 EDT
2.6.12-1.1398_FC4 didn't change anything.  Turning off IO-APIC in the BIOS did
however.  I now have the system running 2.6.12-1.1398_FC4xen0.  (Again, "noapic"
on the kernel command line did not help.)
Comment 4 Dave Jones 2005-08-26 05:06:40 EDT
Please try the latest updates-testing kernel, which has an updated Xen.
Comment 5 Fedora Update System 2005-08-26 17:38:02 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (combined with the latest kernel update) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 6 Fedora Update System 2005-08-29 23:25:20 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (together with kernel 2.6.12-1.1435 or newer) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 7 Dave Jones 2005-09-30 02:40:44 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 8 Dave Jones 2005-11-10 14:44:00 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Dave Jones 2006-02-03 01:57:09 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 John Thacker 2006-05-04 21:19:46 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.